Get Inbound Email Detail
curl --request GET \
--url https://api.e-invoice.be/api/mailbox/{inbound_email_id} \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.e-invoice.be/api/mailbox/{inbound_email_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.e-invoice.be/api/mailbox/{inbound_email_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.e-invoice.be/api/mailbox/{inbound_email_id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}using RestSharp;
var options = new RestClientOptions("https://api.e-invoice.be/api/mailbox/{inbound_email_id}");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("Authorization", "Bearer <token>");
var response = await client.GetAsync(request);
Console.WriteLine("{0}", response.Content);
{
"id": "<string>",
"message_id": "<string>",
"sender_email": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"sender_name": "<string>",
"to_addresses": "<string>",
"cc_addresses": "<string>",
"bcc_addresses": "<string>",
"subject": "<string>",
"attachments": [],
"attachment_count": 0,
"processed": false,
"error_message": "<string>",
"received_at": "2023-11-07T05:31:56Z",
"processed_at": "2023-11-07T05:31:56Z",
"document_id": "<string>"
}{
"detail": "<string>"
}{
"detail": "<string>"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}{
"detail": "<string>"
}Mailbox
Get Inbound Email Detail
Retrieve a single inbound email by ID, scoped to the caller’s tenant.
GET
/
api
/
mailbox
/
{inbound_email_id}
Get Inbound Email Detail
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Response
Successful Response
Show child attributes
Show child attributes
⌘I